Subject: Re: Last Call: <draft-ietf-netext-wifi-epc-eap-attributes-08.txt> (EAP Attributes for WiFi - EPC Integration) to Informational RFC

From: Donald Eastlake <[email-masked]>
Date: Tue, 10 Jun 2014 15:36:01 -0400

Hi,

A few comments:

This reads to me like a protocol specification and it was produced by
an IETF WG so I would expect it to be Standards Track rather than
Informational.

Wi-Fi is hyphenated. Please globally replaced "WiFi" with "Wi-Fi".

There seems to be an empty bullet point near the top of page 6.

"shall" -> MUST

Section 5: I think the usual IETF style would be to specify Length
after each diagram but, admittedly, that's pretty redundant in this
case...

References:
   It seems to me that the references to the 3GPP document or
documents that specify these protocol blobs being added to EAP AKA and
EAP SIM, and probably most of the references to EAP, should be
Normative References.
   I believe there should be a reference to IEEE Std 802.11-2012.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

On Tue, Jun 10, 2014 at 2:02 PM, The IESG <[email-masked]> wrote:
>
> The IESG has received a request from the Network-Based Mobility
> Extensions WG (netext) to consider the following document:
> - 'EAP Attributes for WiFi - EPC Integration'
>   <draft-ietf-netext-wifi-epc-eap-attributes-08.txt> as Informational RFC
>
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2014-06-24. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
>
> Abstract
>
>
>    With WiFi emerging as a trusted access network for service providers,
>    it has become important to provide functions commonly available in 3G
>    and 4G networks in WiFi access networks as well.  Such functions
>    include Access Point Name (APN) Selection, multiple Packet Data
>    Network (PDN) connections and seamless mobility between WiFi and
>    3G/4G networks.
>
>    The EAP/AKA (and EAP/AKA') protocol is required for mobile devices to
>    access the mobile Evolved Packet Core (EPC) via trusted WiFi
>    networks.  This document defines a few new EAP attributes to enable
>    the above-mentioned functions in trusted WiFi access networks.
>
>
>
>
> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-ietf-netext-wifi-epc-eap-attributes/
>
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-ietf-netext-wifi-epc-eap-attributes/ballot/
>
>
> No IPR declarations have been submitted directly on this I-D.
>
>